Bug 622585 - Installation documentation change regarding the supported OS package configuration.
Installation documentation change regarding the supported OS package configur...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Ha
Martin Minar
Fixed in the 5.4.0 Release - GA'd 201...
:
Depends On:
Blocks: sat540-docs
  Show dependency treegraph
 
Reported: 2010-08-09 15:55 EDT by Ash Westbrook
Modified: 2016-07-03 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:55:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ash Westbrook 2010-08-09 15:55:44 EDT
Description of problem:

The Software Requirements section of the 5.3 Installation Guide could be more descript concerning what configuration we expect and support the OS to be in prior to the satellite software installation.

Version-Release number of selected component (if applicable): 5.3


Actual results:

Section 2.1

" Base operating system — RHN Satellite is supported with Red Hat Enterprise Linux 4 or Red Hat Enterprise Linux 5. The operating system can be installed from disc, local ISO image, kickstart, or any of the methods supported by Red Hat, but must provide the @Base package group, as the RHN Satellite installation program will install the RHN Satellite packages as well as additional Red Hat Enterprise Linux packages not provided in @Base but are needed for RHN Satellite."  


http://www.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.0/Installation_Guide/html/ch-requirements.html#s1-requirements-software

Expected results:


"...provides the @base package group with no other package-set modifications, and with no 3rd party configuration and software not necessary for the direct operation of the server.  This includes hardening or other non-Red Hat security software.  If such software is required in your infrastructure, you must install and verify a complete working Satellite first, and then take a backup, before adding any non-Red Hat software"

Expected results:


"...provides the @base package group with no other package-set modifications, and with no 3rd party configuration and software not necessary for the direct operation of the server.  This includes hardening or other non-Red Hat security software.  If such software is required in your infrastructure, you must install and verify a complete working Satellite first, and then take a backup, before adding any non-Red Hat software"
Comment 1 Clifford Perry 2010-08-09 16:30:55 EDT
In a way, it is sad to see us need to add such statements, but it seems that Support and other front line interacting with Satellite deployments are encountering this frequently enough where this is being asked to be added to the documentation. 

We (Satellite) have made strides in the past year+ to not be so restrictive, removed hard coded uid's for user creation from code, don't use /home/ directories, etc, but the fact is that when you buy Satellite, we provide you with a RHEL license included, this is because Satellite's large code base is not self contained in a single location and Satellite assumes it has the OS to itself (its bundled/embedded onto the OS). 

If adding such statements to our install guide helps to ease issues where customers customize their OS prior to installing Satellite, then I am in favor of doing so. 

Moving this to sat540-docs for tracking this proposed change. 

Cliff
Comment 2 John Ha 2010-08-26 14:41:11 EDT
Fixed in the latest draft of the Satellite 5.4 Installation Guide:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Installation_Guide/ch-requirements.html#s1-requirements-software

Please let me know if there is any further suggestions or fixes for this section regarding supported configurations for installation. Thanks!
Comment 5 Clifford Perry 2010-10-28 10:55:59 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.